--*******************************************************
-- Demo: DB2-XML
-- Author: Dr. Can Trker
--*******************************************************

VALUES XMLPARSE(DOCUMENT '<?xml version="1.0"?><book><title>Manual</title><chapter>...</chapter></book>');
VALUES XMLSERIALIZE(XMLCONCAT(XMLELEMENT(name abc), XMLELEMENT(name bar, 'foo')) AS VARCHAR(100));

VALUES XMLTEXT('hello');
VALUES XMLDOCUMENT(XMLTEXT('hello'));
VALUES XMLCOMMENT('hello');
VALUES XMLELEMENT(name foo);
VALUES XMLELEMENT(name foo, xmlattributes('xyz' as bar));
VALUES XMLELEMENT(name foo, xmlattributes(current_date as bar), 'cont', 'ent');
VALUES XMLCONCAT(XMLELEMENT(name abc), XMLELEMENT(name bar, 'foo'));
VALUES XMLFOREST('abc' AS foo, 123 AS bar);
VALUES XMLPI(name php, 'echo "hello world";');

VALUES XMLROW(123 AS "c1", 'abc' AS "c2");
VALUES XMLROW(123 AS "c1", 'abc' AS "c2" OPTION AS ATTRIBUTES);
VALUES XMLROW(123 AS "c1", 'abc' AS "c2" OPTION AS ATTRIBUTES ROW "root");

VALUES XMLQUERY('$c//title/text()' PASSING XMLPARSE(DOCUMENT '<?xml version="1.0"?><book><title>Manual</title><chapter>...</chapter></book>') AS "c");

--XMLEXISTS('xquery' PASSING xml-column-name AS "c");
--xml-column-name IS VALIDATED;
