--*******************************************************
-- Demo: Oracle-XML 
-- Author: Dr. Can Trker
--*******************************************************

SET FEEDBACK 1
SET ECHO ON
SET LONG 8000

--*******************************************************
-- Clean database
--*******************************************************

BEGIN
  DBMS_XMLSCHEMA.deleteSchema('emp.xsd', 4);
END;
/

DROP TABLE bookentity;
DROP TYPE booktype FORCE;
DROP TYPE authorstype FORCE;

DROP INDEX xmlidx2;
DROP INDEX xmlfulltextidx2;
DROP INDEX xmlfunktionalidx2;

DROP TABLE bookxml;

DROP INDEX xmlfulltextidx;
DROP INDEX xmlfunktionalidx;

DROP VIEW Dpunktbook;
DROP TABLE book;

BEGIN
  DBMS_XMLSCHEMA.deleteSchema('book.xsd', 4);
END;
/

DROP FUNCTION getDocument; 
DROP DIRECTORY xmldir;

EXIT;
/


